// (c) MIT 2003.  All rights reserved.

package rec.fsm.speech;

import rec.agent.*;




import java.rmi.*;
import java.util.*;
import metaglue.*;
import rec.util.*;
import rec.sys.*;
import java.io.*;

class NameTracker implements Serializable {
  
  String name;
  int type;
  boolean added;
  
  public NameTracker( String name, int type, boolean added )
  {
    this.name = name;
    this.type = type;
    this.added = added;
  }

  public String toString()
  {
    return ( (added ? "add:" : "rem:" ) + name );
  }

}
